### Method

# Camel NameValueArray remove_named

since: 3.24

#### Declaration [src]

    guint
    camel_name_value_array_remove_named (
      CamelNameValueArray* array,
      CamelCompareType compare_type,
      const gchar* name,
      gboolean all_occurrences
    )

#### Description [src]

Removes elements of the `array` with the given `name`. The `compare_type` determines hot to compare the names. If the `all_occurrences` is set to `TRUE`, then every elements with the `name` are removed, otherwise only the first occurrence is removed.

Available since: 3.24

#### Parameters

`compare_type`

  Type: `CamelCompareType`

  A compare type, one of `CamelCompareType`.

`name`

  Type: `const gchar*`

  A name to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`all_occurrences`

  Type: `gboolean`

  Whether to remove all occurrences of the `name`.

#### Return value

Type: `guint`

How many elements had been removed.